import { SharedContracts } from './shared-contracts';
export declare namespace ContentItemContracts {
    interface IContentItemModelContract {
        id: string;
        name: string;
        codename: string;
        type: {
            id?: string;
            codename?: string;
            external_id?: string;
        };
        external_id?: string;
        last_modified: Date;
        spaces: SharedContracts.IIdReferenceContract[];
        collection: SharedContracts.IReferenceObjectContract;
    }
    interface IContentItemsListingResponseContract {
        items: IContentItemModelContract[];
        pagination: SharedContracts.IPaginationModelContract;
    }
    interface IAddContentItemResponseContract extends IContentItemModelContract {
    }
    interface IViewContentItemResponseContract extends IContentItemModelContract {
    }
    interface IUpdateContentItemResponseContract extends IContentItemModelContract {
    }
    interface IUpsertContentItemResponseContract extends IContentItemModelContract {
    }
    interface IDeleteContentItemResponseContract {
    }
    interface IUpdateContentItemPostContract {
        name: string;
        codename?: string;
    }
    interface IUpsertContentItemPostContract {
        name: string;
        type?: SharedContracts.IReferenceObjectContract;
        codename?: string;
        collection?: SharedContracts.IReferenceObjectContract;
    }
    interface IAddContentItemPostContract {
        name: string;
        type: {
            codename?: string;
            id?: string;
            external_id?: string;
        };
        codename?: string;
        external_id?: string;
        collection?: SharedContracts.IReferenceObjectContract;
    }
}
