"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.webSpotlightMapper = exports.WebSpotlightMapper = void 0;
const base_mapper_1 = require("./base-mapper");
const responses_1 = require("../responses");
const models_1 = require("../models");
class WebSpotlightMapper extends base_mapper_1.BaseMapper {
    mapWebSpotlightStatusResponse(response) {
        return new responses_1.WebSpotlightResponses.WebSpotlightStatusResponse(super.mapResponseDebug(response), response.data, this.mapWebSpotlightStatus(response.data));
    }
    mapWebSpotlightStatus(rawData) {
        return new models_1.WebSpotlightModels.WebSpotlightStatus({
            _raw: rawData,
            enabled: rawData.enabled,
            rootType: rawData.root_type ? this.mapIdReference(rawData.root_type) : undefined
        });
    }
}
exports.WebSpotlightMapper = WebSpotlightMapper;
exports.webSpotlightMapper = new WebSpotlightMapper();
//# sourceMappingURL=web-spotlight-mapper.js.map