import { IResponse } from '@kontent-ai/core-sdk';
import { WorkflowContracts } from '../contracts/workflow-contracts';
import { WorkflowModels } from '../models';
import { WorkflowResponses } from '../responses';
import { BaseMapper } from './base-mapper';
export declare class WorkflowMapper extends BaseMapper {
    mapListWorkflowsResponse(response: IResponse<WorkflowContracts.IListWorkflowsResponseContract>): WorkflowResponses.ListWorkflowsResponse;
    mapAddWorkflowResponse(response: IResponse<WorkflowContracts.IAddWorkflowContract>): WorkflowResponses.AddWorkflowResponse;
    mapUpdateWorkflowResponse(response: IResponse<WorkflowContracts.IUpdateWorkflowContract>): WorkflowResponses.UpdateWorkflowResponse;
    mapWorkflowStep(rawStep: WorkflowContracts.IWorkflowStepContract): WorkflowModels.WorkflowStep;
    mapWorkflow(raw: WorkflowContracts.IWorkflowContract): WorkflowModels.Workflow;
}
export declare const workflowMapper: WorkflowMapper;
