"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListCustomAppsQuery = void 0;
const responses_1 = require("../../responses");
const base_listing_query_1 = require("../base-listing-query");
class ListCustomAppsQuery extends base_listing_query_1.BaseListingQuery {
    constructor(config, queryService) {
        super(config, queryService);
        this.config = config;
        this.queryService = queryService;
    }
    toPromise() {
        return this.queryService.listCustomAppsAsync(this.getUrl(), this.queryConfig);
    }
    getAction() {
        return this.apiEndpoints.listCustomApps();
    }
    allResponseFactory(items, responses) {
        return new responses_1.CustomAppsResponses.CustomAppsListAllResponse({
            items: items,
            responses: responses
        });
    }
}
exports.ListCustomAppsQuery = ListCustomAppsQuery;
//# sourceMappingURL=list-custom-apps-query.class.js.map