import { IResponse } from '@kontent-ai/core-sdk';
import { LanguageContracts } from '../contracts';
import { LanguageModels } from '../models';
import { LanguageResponses } from '../responses';
import { BaseMapper } from './base-mapper';
export declare class LanguageMapper extends BaseMapper {
    mapViewLanguageResponse(response: IResponse<LanguageContracts.IViewLanguageResponseContract>): LanguageResponses.ViewLanguageResponse;
    mapModifyLanguageResponse(response: IResponse<LanguageContracts.IModifyLanguageResponseContract>): LanguageResponses.ModifyLanguageResponse;
    mapAddLanguageResponse(response: IResponse<LanguageContracts.IAddLanguageResponseContract>): LanguageResponses.AddLanguageResponse;
    mapListLanguagesResponse(response: IResponse<LanguageContracts.IListLanguagesResponseContract>): LanguageResponses.ListLanguagesResponse;
    mapLanguage(rawModel: LanguageContracts.ILanguageModelContract): LanguageModels.LanguageModel;
}
export declare const languageMapper: LanguageMapper;
