import { CustomAppsResponses } from '../../responses';
import { BaseListingQuery } from '../base-listing-query';
export class ListCustomAppsQuery extends BaseListingQuery {
    constructor(config, queryService) {
        super(config, queryService);
        this.config = config;
        this.queryService = queryService;
    }
    toPromise() {
        return this.queryService.listCustomAppsAsync(this.getUrl(), this.queryConfig);
    }
    getAction() {
        return this.apiEndpoints.listCustomApps();
    }
    allResponseFactory(items, responses) {
        return new CustomAppsResponses.CustomAppsListAllResponse({
            items: items,
            responses: responses
        });
    }
}
//# sourceMappingURL=list-custom-apps-query.class.js.map