import { BaseQuery } from '../base-query';
export class ViewLanguageVariantQuery extends BaseQuery {
    constructor(config, queryService, contentItemIdentifier, languageIdentifier) {
        super(config, queryService);
        this.config = config;
        this.queryService = queryService;
        this.contentItemIdentifier = contentItemIdentifier;
        this.languageIdentifier = languageIdentifier;
        this.fetchPublishedVersion = false;
    }
    toPromise() {
        return this.queryService.viewLanguageVariantAsync(this.getUrl(), this.queryConfig);
    }
    published() {
        this.fetchPublishedVersion = true;
        return this;
    }
    getAction() {
        return this.apiEndpoints.viewLanguageVariant(this.contentItemIdentifier, this.languageIdentifier, this.fetchPublishedVersion);
    }
}
//# sourceMappingURL=view-language-variant-query.class.js.map