import { IManagementClientConfig } from '../config';
import { Identifiers } from '../models';
import { ManagementQueryService } from '../services';
export declare class CustomAppsIdentifierQuery<TResult> {
    protected config: IManagementClientConfig;
    protected queryService: ManagementQueryService;
    protected buildResult: (config: IManagementClientConfig, queryService: ManagementQueryService, identifier: Identifiers.CustomAppIdentifier) => TResult;
    constructor(config: IManagementClientConfig, queryService: ManagementQueryService, buildResult: (config: IManagementClientConfig, queryService: ManagementQueryService, identifier: Identifiers.CustomAppIdentifier) => TResult);
    /**
     * Gets using internal Id
     * @param id Internal Id of custom app
     */
    byCustomAppId(id: string): TResult;
    /**
     * Gets query using codename
     * @param codename Codename of custom app
     */
    byCustomAppCodename(codename: string): TResult;
}
