import { Identifiers } from '../models';
export class CustomAppsIdentifierQuery {
    constructor(config, queryService, buildResult) {
        this.config = config;
        this.queryService = queryService;
        this.buildResult = buildResult;
    }
    /**
     * Gets using internal Id
     * @param id Internal Id of custom app
     */
    byCustomAppId(id) {
        return this.buildResult(this.config, this.queryService, new Identifiers.CustomAppIdentifier(Identifiers.CustomAppIdentifierEnum.InternalId, id));
    }
    /**
     * Gets query using codename
     * @param codename Codename of custom app
     */
    byCustomAppCodename(codename) {
        return this.buildResult(this.config, this.queryService, new Identifiers.CustomAppIdentifier(Identifiers.CustomAppIdentifierEnum.Codename, codename));
    }
}
//# sourceMappingURL=custom-apps-identifier.query.js.map