import { CustomAppsContracts } from '../../contracts';
import { CustomAppModels, SharedModels } from '../../models';
import { BaseResponses } from '../base-responses';
export declare namespace CustomAppsResponses {
    class AddCustomAppResponse extends BaseResponses.BaseContentManagementResponse<CustomAppsContracts.ICustomAppContract, CustomAppModels.CustomApp> {
        constructor(debug: BaseResponses.IContentManagementResponseDebug, rawData: CustomAppsContracts.ICustomAppContract, data: CustomAppModels.CustomApp);
    }
    class CustomAppsListResponse extends BaseResponses.BaseContentManagementListResponse<CustomAppsContracts.ICustomAppsListResponseContract, CustomAppModels.CustomApp> {
        constructor(debug: BaseResponses.IContentManagementResponseDebug, rawData: CustomAppsContracts.ICustomAppsListResponseContract, data: {
            items: CustomAppModels.CustomApp[];
            pagination: SharedModels.Pagination;
        });
    }
    class CustomAppsListAllResponse extends BaseResponses.ContentManagementListAllResponse<CustomAppsListResponse, CustomAppModels.CustomApp> {
        constructor(data: {
            items: CustomAppModels.CustomApp[];
            responses: CustomAppsListResponse[];
        });
    }
    class ModifyCustomAppResponse extends AddCustomAppResponse {
    }
    class GetCustomAppResponse extends AddCustomAppResponse {
    }
}
