import { languageVariantElementsBuilder } from '../../models/language-variants/language-variant-elements-builder';
import { BaseQuery } from '../base-query';
export class UpsertLanguageVariantQuery extends BaseQuery {
    constructor(config, queryService, contentItemIdentifier, languageIdentifier, data) {
        super(config, queryService);
        this.config = config;
        this.queryService = queryService;
        this.contentItemIdentifier = contentItemIdentifier;
        this.languageIdentifier = languageIdentifier;
        this.data = data;
    }
    toPromise() {
        return this.queryService.upsertLanguageVariantAsync(this.getUrl(), this.data(languageVariantElementsBuilder), this.queryConfig);
    }
    getAction() {
        return this.apiEndpoints.upsertLanguageVariant(this.contentItemIdentifier, this.languageIdentifier);
    }
}
//# sourceMappingURL=upsert-language-variant-query.class.js.map